﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Janus.Analyzers.Counter
{
    /// <summary>
    /// This class represents the model for the results of the counter analyzer
    /// </summary>
    public class AnalysisResultModel
    {
        /// <summary>
        /// Count of unique packages -> only one per reference
        /// </summary>
        public int UniquePackagesCount { get; set; }

        /// <summary>
        /// Count of unique annotated
        /// </summary>
        public int AnnotatedUniquePackagesCount { get; set; }

        /// <summary>
        /// Textual representation of the object
        /// </summary>
        /// <returns>Textual representation of the object</returns>
        public override string ToString()
        {
            return $"UniquePackagesCount:           {UniquePackagesCount}\n" +
                   $"AnnotatedUniquePackagesCount:  {AnnotatedUniquePackagesCount}";
        }
    }
}
