﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Janus.Core.Models
{
    /// <summary>
    /// This class represents the specific edge for the depdendency.
    /// </summary>
    public class DependencyEdge : GraphEdge<DependencyItem>
    {

        /// <summary>
        /// Constructs and initializes the instance
        /// </summary>
        public DependencyEdge()
        {
            VersionLimits = new List<VersionLimit>();
        }

        /// <summary>
        /// List of the limits for the specific version required
        /// </summary>
        public IList<VersionLimit> VersionLimits { get; set; }

        /// <summary>
        /// Required versions of the depdency
        /// Textual representation
        /// </summary>
        public string RequiredVersionsText { 
            get { 
                if(VersionLimits.Count == 0)
                {
                    return "";
                }
                return string.Join(", ", VersionLimits); 
            }
        }
    }
}
