﻿using CommandLine;
using System;
using System.Collections.Generic;
using System.Text;

namespace Janus.Core.Utils
{
    /// <summary>
    /// Base command line options class for the analyzes
    /// </summary>
    public class CLIOptionsAnalyzersBase : CLIOptionsCoreBase
    {
        /// <summary>
        /// Path to the input file
        /// </summary>
        [Option('f', "dataFile",
          Default = null,
          HelpText = "Input data file with universal data format to be processed. (*.json)  If not specified, reads from standard input until EOF.")]
        public string InputFile { get; set; }

        /// <summary>
        /// Flag to force import the given data, no verison validation
        /// </summary>
        [Option("forceImport",
          Default = false,
          HelpText = "Forces the import of the data, internally skips the validation and version checking.")]
        public bool ForceImport { get; set; }
    }
}
