﻿using CommandLine;
using Janus.Core.Enums;
using System;
using System.Collections.Generic;
using System.Text;

namespace Janus.Core.Utils
{
    /// <summary>
    /// Base command line options class
    /// </summary>
    public class CLIOptionsCoreBase
    {
        /// <summary>
        /// Flag for the verbose mode
        /// </summary>
        [Option('v', "verbose",
          Default = false,
          HelpText = "Prints all messages to standard output.")]
        public bool Verbose { get; set; }

        /// <summary>
        /// Property for the output type of the result
        /// </summary>
        [Option('t', "outputType",
          Default = EOutputType.JSON,
          HelpText = "Type of the output data. Supported types: \"JSON\", \"MD\", \"DOT\", \"Text\"")]
        public EOutputType OutputType { get; set; }

        /// <summary>
        /// Path to the output file
        /// </summary>
        [Option('o', "outputFile",
          Default = null,
          HelpText = "Path to the output file")]
        public string OutputFile { get; set; }
        /*
        /// <summary>
        /// Prints only annotated data
        /// </summary>
        [Option("onlyAnnotated",
          Default = false,
          HelpText = "Prints only annotated data.")]
        public bool OnlyAnnotated { get; set; }*/
    }
}
