﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Janus.Parsers.PythonPyPi.PyPIAPI
{
    /// <summary>
    /// This is a model for the JSON pypi dependency format provided by the pipgrip
    /// </summary>
    public class PyPIDepTreeItem
    {
        /// <summary>
        /// Constructs and initializes the instance
        /// </summary>
        public PyPIDepTreeItem()
        {
            dependencies = new List<PyPIDepTreeItem>();
        }

        /// <summary>
        /// Dependency name and Id
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// Dependency extras name
        /// </summary>
        public string extras_name { get; set; }

        /// <summary>
        /// Dependency version, format is same, as for the package registry
        /// </summary>
        public string version { get; set; }


        /// <summary>
        /// Pip string version limits
        /// </summary>
        public string pip_string { get; set; }


        /// <summary>
        /// List of sub-dependecies for this dependency
        /// Represented using wrapper for the edge
        /// </summary>
        public IList<PyPIDepTreeItem> dependencies { get; set; }
    }
}
