﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Janus.Parsers.PythonPyPi.PyPIAPI
{
    /// <summary>
    /// This is a model for the JSON pypi api for metadata
    /// </summary>
    public class PyPIMetadataRoot
    {
        /// <summary>
        /// Constructs and initializes the instance
        /// </summary>
        public PyPIMetadataRoot()
        {
            vulnerabilities = new List<object>();
            urls = new List<PyPIMetadataUrls>();
        }

        /// <summary>
        /// Package info item
        /// </summary>
        public PyPIMetadataInfo info { get; set; }

        /// <summary>
        /// Last serial number
        /// </summary>
        public int last_serial { get; set; }

        /// <summary>
        /// All releases of this project
        /// </summary>
        public object releases { get; set; }


        /// <summary>
        /// list of items for urls
        /// </summary>
        public IList<PyPIMetadataUrls> urls { get; set; }


        /// <summary>
        /// List of vulnerabilities for this package
        /// </summary>
        public IList<object> vulnerabilities { get; set; }
    }
}
